org.jboss.netty.util

## Interface TimerTask

-     public interface TimerTask

  A task which is executed after the delay specified with `Timer.newTimeout(TimerTask, long, TimeUnit)`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(Timeout timeout)` Executed after the delay specified with `Timer.newTimeout(TimerTask, long, TimeUnit)`.

- - ### Method Detail

    - #### run

          void run(Timeout timeout)
                   throws Exception

      Executed after the delay specified with `Timer.newTimeout(TimerTask, long, TimeUnit)`.
      Parameters:
        `timeout` - a handle which is associated with this task
      Throws:
        `Exception`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.